> For the complete documentation index, see [llms.txt](https://knowledge.out-smart.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://knowledge.out-smart.com/openapi/timesheet.md).

# TimeSheet

## TimeSheet - Expenses -  Get expenses

> This api is used to fetch expenses based on a filter. \
> Filters can be given by adding a key and values array to the URL.\
> Adding a single filter: \&key=key1\&value=value1\
> Adding multiple filters: \&key\[]=key1\&value\[]=value1\&key\[]=key2\&value\[]=value2

```json
{"openapi":"3.1.0","info":{"title":"OpenApi","version":"1.0.0"},"servers":[{"url":"{{api_url}}"},{"url":"https://www.werkbonapp.nl"}],"security":[{"BearerAuth":[]}],"components":{"securitySchemes":{"BearerAuth":{"type":"http","scheme":"bearer"}}},"paths":{"/expenses/":{"get":{"summary":"TimeSheet - Expenses -  Get expenses","parameters":[{"name":"token","in":"query","schema":{"type":"string"}},{"name":"software_token","in":"query","schema":{"type":"string"}},{"name":"key[]","in":"query","schema":{"type":"string"}},{"name":"value[]","in":"query","schema":{"type":"integer"}},{"name":"operator[]","in":"query","schema":{"type":"string"}}],"responses":{"200":{"description":"TimeSheet - Expenses -  Get expenses","headers":{"Date":{"schema":{"type":"string"}},"Server":{"schema":{"type":"string"}},"X-Powered-By":{"schema":{"type":"string"}},"Content-Length":{"schema":{"type":"integer"}},"Keep-Alive":{"schema":{"type":"string"}},"Connection":{"schema":{"type":"string"}}},"content":{"application/json":{"schema":{"type":"object","properties":{"code":{"type":"integer"},"messages":{"type":"array"},"response":{"type":"array","items":{"type":"object","properties":{"pre_id":{"type":"string","format":"utc-millisec"},"pre_cus_id":{"type":"string","format":"utc-millisec"},"pre_project_nr":{"type":"string"},"pre_project_activity_nr":{"type":"string"},"pre_code":{"type":"string"},"pre_description":{"type":"string"},"pre_amount":{"type":"string","format":"utc-millisec"},"pre_vat_code":{"type":"string"},"pre_cost_price":{"type":"string","format":"utc-millisec"},"pre_gross_sale_price":{"type":"string","format":"utc-millisec"},"pre_sale_price":{"type":"string","format":"utc-millisec"},"pre_timestamp_added":{"type":"string","format":"style"},"pre_timestamp_modified":{"type":"string"},"pre_timestamp_approved":{"type":"null"},"pre_timestamp_rejected":{"type":"null"},"pre_status":{"type":"string","format":"utc-millisec"},"pre_employee_nr":{"type":"string","format":"utc-millisec"},"pre_debtor_nr":{"type":"string"},"pre_billable":{"type":"string","format":"utc-millisec"},"pre_attachment_name":{"type":"null"},"pre_attachment":{"type":"null"},"pre_category":{"type":"string"},"pre_date":{"type":"string","format":"date"},"pre_created_by":{"type":"string"},"pre_modified_by":{"type":"string"},"pre_approved_by":{"type":"null"},"pre_rejected_by":{"type":"null"},"pre_rejected_reason":{"type":"null"}}}}}}}}}},"tags":["TimeSheet","TimeSheet Expenses"],"description":"This api is used to fetch expenses based on a filter. \nFilters can be given by adding a key and values array to the URL.\nAdding a single filter: &key=key1&value=value1\nAdding multiple filters: &key[]=key1&value[]=value1&key[]=key2&value[]=value2"}}}}
```

## POST /expenses/

> TimeSheet - Expenses  - Add expenses

```json
{"openapi":"3.1.0","info":{"title":"OpenApi","version":"1.0.0"},"servers":[{"url":"{{api_url}}"},{"url":"https://www.werkbonapp.nl"}],"security":[{"BearerAuth":[]}],"components":{"securitySchemes":{"BearerAuth":{"type":"http","scheme":"bearer"}}},"paths":{"/expenses/":{"post":{"summary":"TimeSheet - Expenses  - Add expenses","parameters":[{"name":"token","in":"query","schema":{"type":"string"}},{"name":"software_token","in":"query","schema":{"type":"string"}},{"name":"key[]","in":"query","schema":{"type":"string"}},{"name":"value[]","in":"query","schema":{"type":"integer"}},{"name":"operator[]","in":"query","schema":{"type":"string"}},{"name":"test","in":"query","schema":{"type":"integer"}}],"responses":{"200":{"description":"Response_200"}},"tags":["TimeSheet","TimeSheet Expenses"]}}}}
```

## TimeSheet - Travel - Get travel

> This api is used to fetch travel rows based on a filter. \
> Filters can be given by adding a key and values array to the URL.\
> Adding a single filter: \&key=key1\&value=value1\
> Adding multiple filters: \&key\[]=key1\&value\[]=value1\&key\[]=key2\&value\[]=value2

```json
{"openapi":"3.1.0","info":{"title":"OpenApi","version":"1.0.0"},"servers":[{"url":"{{api_url}}"},{"url":"https://www.werkbonapp.nl"}],"security":[{"BearerAuth":[]}],"components":{"securitySchemes":{"BearerAuth":{"type":"http","scheme":"bearer"}}},"paths":{"/travel/":{"get":{"summary":"TimeSheet - Travel - Get travel","parameters":[{"name":"token","in":"query","schema":{"type":"string"}},{"name":"software_token","in":"query","schema":{"type":"string"}},{"name":"key[]","in":"query","schema":{"type":"string"}},{"name":"value[]","in":"query","schema":{"type":"integer"}},{"name":"operator[]","in":"query","schema":{"type":"string"}}],"responses":{"200":{"description":"TimeSheet - Travel - Get travel","headers":{"Date":{"schema":{"type":"string"}},"Server":{"schema":{"type":"string"}},"X-Powered-By":{"schema":{"type":"string"}},"Content-Length":{"schema":{"type":"integer"}},"Keep-Alive":{"schema":{"type":"string"}},"Connection":{"schema":{"type":"string"}}},"content":{"application/json":{"schema":{"type":"object","properties":{"code":{"type":"integer"},"messages":{"type":"array"},"response":{"type":"array","items":{"type":"object","properties":{"tra_id":{"type":"string","format":"utc-millisec"},"tra_cus_id":{"type":"string","format":"utc-millisec"},"tra_emp_nr":{"type":"string","format":"utc-millisec"},"tra_debtor_nr":{"type":"string","format":"utc-millisec"},"tra_project_nr":{"type":"string"},"tra_project_activity_nr":{"type":"string","format":"utc-millisec"},"tra_date":{"type":"string","format":"date"},"tra_from":{"type":"string"},"tra_to":{"type":"string"},"tra_distance":{"type":"string","format":"utc-millisec"},"tra_description":{"type":"string"},"tra_billable":{"type":"string","format":"utc-millisec"},"tra_status":{"type":"string","format":"utc-millisec"},"tra_type":{"type":"null"},"tra_date_created":{"type":"string","format":"style"},"tra_date_modified":{"type":"string"},"tra_date_approved":{"type":"string","format":"style"},"tra_date_rejected":{"type":"null"},"tra_created_by":{"type":"null"},"tra_modified_by":{"type":"string"},"tra_approved_by":{"type":"string"},"tra_rejected_by":{"type":"null"},"tra_rejected_reason":{"type":"null"}}}}}}}}}},"tags":["TimeSheet","TimeSheet Travel"],"description":"This api is used to fetch travel rows based on a filter. \nFilters can be given by adding a key and values array to the URL.\nAdding a single filter: &key=key1&value=value1\nAdding multiple filters: &key[]=key1&value[]=value1&key[]=key2&value[]=value2"}}}}
```

## POST /travel/

> TimeSheet - Travel - Add travel

```json
{"openapi":"3.1.0","info":{"title":"OpenApi","version":"1.0.0"},"servers":[{"url":"{{api_url}}"},{"url":"https://www.werkbonapp.nl"}],"security":[{"BearerAuth":[]}],"components":{"securitySchemes":{"BearerAuth":{"type":"http","scheme":"bearer"}}},"paths":{"/travel/":{"post":{"summary":"TimeSheet - Travel - Add travel","parameters":[{"name":"token","in":"query","schema":{"type":"string"}},{"name":"software_token","in":"query","schema":{"type":"string"}},{"name":"key[]","in":"query","schema":{"type":"string"}},{"name":"value[]","in":"query","schema":{"type":"integer"}},{"name":"operator[]","in":"query","schema":{"type":"string"}},{"name":"test","in":"query","schema":{"type":"integer"}}],"responses":{"200":{"description":"Response_200"}},"tags":["TimeSheet","TimeSheet Travel"]}}}}
```

## TimeSheet - Hours - Get hours

> This api is used to fetch hours based on a filter. \
> Filters can be given by adding a key and values array to the URL.\
> Adding a single filter: \&key=key1\&value=value1\
> Adding multiple filters: \&key\[]=key1\&value\[]=value1\&key\[]=key2\&value\[]=value2\
> \
> \
> \| Kolom                   | Voorbeeld waarde    | Omschrijving                          |\
> \|-------------------------|---------------------|---------------------------------------|\
> \| hrs\_id                  | 9                   | Uniek regel ID                        |\
> \| hrs\_cus\_id              | 78                  | Klant id niet relevant                |\
> \| hrs\_emp\_nr              | 13                  | Medewerkers                           |\
> \| hrs\_order\_nr            | null                | Ordernummer van gekoppelde werkbon    |\
> \| hrs\_order\_description   | null                | Order omschrijving                    |\
> \| hrs\_period\_id           | null                | Uren regel ID                         |\
> \| hrs\_hrt\_hour\_type       | C                   | Uursoort code                         |\
> \| hrs\_debtor\_nr           | null                | Debiteurnummer                        |\
> \| hrs\_project\_nr          | null                | Projectnummer                         |\
> \| hrs\_project\_activity\_nr | null                | Activiteit                            |\
> \| hrs\_date                | 2020-03-03          | Datum                                 |\
> \| hrs\_start               | 09:00:00            | Starttijd                             |\
> \| hrs\_end                 | 17:00:00            | Eindtijd                              |\
> \| hrs\_break               | null                | Pauzetijd in minuten                  |\
> \| hrs\_amount              | 8.00                | Decimaal aantal (Eind - start -pauze) |\
> \| hrs\_billable            | 0                   | Indicatie Facturabel ja of nee        |\
> \| hrs\_status              | 0                   | Status in urenstaat, zie statussen    |\
> \| hrs\_status\_project      | 0                   | Status in project, zie statussen      |\
> \| hrs\_description         |                     | Uren omschrijving                     |\
> \| hrs\_date\_created        | 2020-02-24 15:31:50 | Datum aangemaakt                      |\
> \| hrs\_date\_modified       | null                | Datum aangepast                       |\
> \| hrs\_date\_approved       | null                | Datum goedgekeurd                     |\
> \| hrs\_date\_rejected       | null                | Datum afgekeurd                       |\
> \| hrs\_created\_by          | Administrator             | Aangemaakt door                       |\
> \| hrs\_modified\_by         | null                | Aangepast door                        |\
> \| hrs\_approved\_by         | null                | Goedgekeurd door                      |\
> \| hrs\_rejected\_by         | null                | Afgekeurd door                        |\
> \| hrs\_rejected\_reason     | null                | Reden afgekeurd                       |

```json
{"openapi":"3.1.0","info":{"title":"OpenApi","version":"1.0.0"},"servers":[{"url":"{{api_url}}"},{"url":"https://www.werkbonapp.nl"}],"security":[{"BearerAuth":[]}],"components":{"securitySchemes":{"BearerAuth":{"type":"http","scheme":"bearer"}}},"paths":{"/hours/":{"get":{"summary":"TimeSheet - Hours - Get hours","parameters":[{"name":"token","in":"query","schema":{"type":"string"}},{"name":"software_token","in":"query","schema":{"type":"string"}},{"name":"key[]","in":"query","schema":{"type":"string"}},{"name":"value[]","in":"query","schema":{"type":"integer"}},{"name":"operator[]","in":"query","schema":{"type":"string"}}],"responses":{"200":{"description":"TimeSheet - Hours - Get hours","headers":{"Date":{"schema":{"type":"string"}},"Server":{"schema":{"type":"string"}},"X-Powered-By":{"schema":{"type":"string"}},"Content-Length":{"schema":{"type":"integer"}},"Keep-Alive":{"schema":{"type":"string"}},"Connection":{"schema":{"type":"string"}}},"content":{"application/json":{"schema":{"type":"object","properties":{"code":{"type":"integer"},"messages":{"type":"array"},"response":{"type":"array","items":{"type":"object","properties":{"hrs_id":{"type":"string","format":"utc-millisec"},"hrs_cus_id":{"type":"string","format":"utc-millisec"},"hrs_emp_nr":{"type":"string","format":"utc-millisec"},"hrs_order_nr":{"type":"null"},"hrs_order_description":{"type":"null"},"hrs_period_id":{"type":"null"},"hrs_hrt_hour_type":{"type":"string"},"hrs_debtor_nr":{"type":"null"},"hrs_project_nr":{"type":"null"},"hrs_project_activity_nr":{"type":"null"},"hrs_date":{"type":"string","format":"date"},"hrs_start":{"type":"string","format":"time"},"hrs_end":{"type":"string","format":"time"},"hrs_break":{"type":"null"},"hrs_amount":{"type":"string","format":"utc-millisec"},"hrs_billable":{"type":"string","format":"utc-millisec"},"hrs_status":{"type":"string","format":"utc-millisec"},"hrs_status_project":{"type":"string","format":"utc-millisec"},"hrs_description":{"type":"string"},"hrs_date_created":{"type":"string","format":"style"},"hrs_date_modified":{"type":"null"},"hrs_date_approved":{"type":"null"},"hrs_date_rejected":{"type":"null"},"hrs_created_by":{"type":"string"},"hrs_modified_by":{"type":"null"},"hrs_approved_by":{"type":"null"},"hrs_rejected_by":{"type":"null"},"hrs_rejected_reason":{"type":"null"}}}}}}}}}},"tags":["TimeSheet","TimeSheet Hours"],"description":"This api is used to fetch hours based on a filter. \nFilters can be given by adding a key and values array to the URL.\nAdding a single filter: &key=key1&value=value1\nAdding multiple filters: &key[]=key1&value[]=value1&key[]=key2&value[]=value2\n\n\n| Kolom                   | Voorbeeld waarde    | Omschrijving                          |\n|-------------------------|---------------------|---------------------------------------|\n| hrs_id                  | 9                   | Uniek regel ID                        |\n| hrs_cus_id              | 78                  | Klant id niet relevant                |\n| hrs_emp_nr              | 13                  | Medewerkers                           |\n| hrs_order_nr            | null                | Ordernummer van gekoppelde werkbon    |\n| hrs_order_description   | null                | Order omschrijving                    |\n| hrs_period_id           | null                | Uren regel ID                         |\n| hrs_hrt_hour_type       | C                   | Uursoort code                         |\n| hrs_debtor_nr           | null                | Debiteurnummer                        |\n| hrs_project_nr          | null                | Projectnummer                         |\n| hrs_project_activity_nr | null                | Activiteit                            |\n| hrs_date                | 2020-03-03          | Datum                                 |\n| hrs_start               | 09:00:00            | Starttijd                             |\n| hrs_end                 | 17:00:00            | Eindtijd                              |\n| hrs_break               | null                | Pauzetijd in minuten                  |\n| hrs_amount              | 8.00                | Decimaal aantal (Eind - start -pauze) |\n| hrs_billable            | 0                   | Indicatie Facturabel ja of nee        |\n| hrs_status              | 0                   | Status in urenstaat, zie statussen    |\n| hrs_status_project      | 0                   | Status in project, zie statussen      |\n| hrs_description         |                     | Uren omschrijving                     |\n| hrs_date_created        | 2020-02-24 15:31:50 | Datum aangemaakt                      |\n| hrs_date_modified       | null                | Datum aangepast                       |\n| hrs_date_approved       | null                | Datum goedgekeurd                     |\n| hrs_date_rejected       | null                | Datum afgekeurd                       |\n| hrs_created_by          | Administrator             | Aangemaakt door                       |\n| hrs_modified_by         | null                | Aangepast door                        |\n| hrs_approved_by         | null                | Goedgekeurd door                      |\n| hrs_rejected_by         | null                | Afgekeurd door                        |\n| hrs_rejected_reason     | null                | Reden afgekeurd                       |"}}}}
```

## POST /hours/

> TimeSheet - Hours - Add hours

```json
{"openapi":"3.1.0","info":{"title":"OpenApi","version":"1.0.0"},"servers":[{"url":"{{api_url}}"},{"url":"https://www.werkbonapp.nl"}],"security":[{"BearerAuth":[]}],"components":{"securitySchemes":{"BearerAuth":{"type":"http","scheme":"bearer"}}},"paths":{"/hours/":{"post":{"summary":"TimeSheet - Hours - Add hours","parameters":[{"name":"token","in":"query","schema":{"type":"string"}},{"name":"software_token","in":"query","schema":{"type":"string"}},{"name":"key[]","in":"query","schema":{"type":"string"}},{"name":"value[]","in":"query","schema":{"type":"integer"}},{"name":"operator[]","in":"query","schema":{"type":"string"}},{"name":"test","in":"query","schema":{"type":"integer"}}],"responses":{"200":{"description":"Response_200"}},"tags":["TimeSheet","TimeSheet Hours"]}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://knowledge.out-smart.com/openapi/timesheet.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
